Summary: Sis and Via chipset driver
Name: ide-smart
Version: 1.4
Release: 1
Copyright: Toshiba America Information Systems
Group: Hardware Monitoring
Source: /source_control/packages/ide-smart-1.4.tar.gz
BuildRoot: /tmp/%{name}-buildroot


#
#	Copy spec file (this file) to /usr/src/redhat/SPECS.
#	Tar and gzip file to /usr/src/redhat/SOURCES.
#
#


%description
Contains the ide-smart application for monitoring SMART hard drives

%prep
%setup

# ////////////////////////////////////////////////////////////
#
#	Instructions for building the binaries.
#
%build

make clean
make all


# ////////////////////////////////////////////////////////////
#
#	Remove any existing build root dir and then
#	instuct Makefile to install in the fresh location.
#
%install

rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/sbin
mkdir $RPM_BUILD_ROOT/usr/share
mkdir $RPM_BUILD_ROOT/usr/share/man
mkdir $RPM_BUILD_ROOT/usr/share/man/man8
mkdir $RPM_BUILD_ROOT/usr/share/doc
mkdir $RPM_BUILD_ROOT/usr/share/doc/packages

install -m 755 ide-smart $RPM_BUILD_ROOT/usr/sbin/ide-smart
install -m 644 COPYING $RPM_BUILD_ROOT/usr/share/doc/packages/COPYING
install -m 644 README $RPM_BUILD_ROOT/usr/share/doc/packages/README
install -m 755 ide-smart.8 $RPM_BUILD_ROOT/usr/share/man/man8/ide-smart.8


# ////////////////////////////////////////////////////////////
%pre

# ////////////////////////////////////////////////////////////
%post

# ////////////////////////////////////////////////////////////
%preun

# ////////////////////////////////////////////////////////////
%postun

# ////////////////////////////////////////////////////////////

%clean

rm -fr $RPM_BUILD_ROOT


# ////////////////////////////////////////////////////////////
#
#	Files that end up on the image
#
%files

/usr/sbin/ide-smart 
/usr/share/man/man8/ide-smart.8.gz
/usr/share/doc/packages/COPYING
/usr/share/doc/packages/README

%changelog

